Bug 1244517 - Review Request: python-wsaccel - Accelerator for ws4py and AutobahnPython
Summary: Review Request: python-wsaccel - Accelerator for ws4py and AutobahnPython
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1244522
TreeView+ depends on / blocked
 
Reported: 2015-07-19 14:15 UTC by Julien Enselme
Modified: 2015-08-18 05:27 UTC (History)
2 users (show)

Fixed In Version: python-wsaccel-0.6.2-6.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-10 10:03:23 UTC
zbyszek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Julien Enselme 2015-07-19 14:15:10 UTC
Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/python-wsaccel.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/python-wsaccel-0.6.2-1.fc22.src.rpm
Description:
* WSAccell is WebSocket accelerator for AutobahnPython, ws4py and Tornado.
* WSAccell replaces per-byte process in them with Cython version.
* AutobahnPython beginning with version 0.6 automatically uses WSAccell if
  available.

Fedora Account System Username: jujens

Comment 1 Julien Enselme 2015-07-19 17:45:13 UTC
- Upstream provide a lience
- Upstream give the command to launch tests

SPEC: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/python-wsaccel.spec
SRPMS: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/python-wsaccel-0.6.2-2.fc22.src.rpm

Comment 3 Zbigniew Jędrzejewski-Szmek 2015-07-30 15:09:14 UTC
Looks good too. The same comments apply as in #1244514.

Comment 5 Zbigniew Jędrzejewski-Szmek 2015-07-31 03:10:29 UTC
Build fails (on F22) with:

tests/test_4.py:2: in <module>
    import wsaccel.utf8validator
E   ImportError: No module named 'wsaccel'
============ 1 error in 0.01 seconds =======================
error: Bad exit status from /var/tmp/rpm-tmp.X0O5Tf (%check)

Comment 6 Julien Enselme 2015-07-31 09:40:57 UTC
- Fix tests in mock
- Use %%py2_build, %%py3build, %%py2_install and %%py2_install
- Make a python2 subpackage

SPEC: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/python-wsaccel.spec
SRPM: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/python-wsaccel-0.6.2-5.fc22.src.rpm

Comment 7 Julien Enselme 2015-07-31 11:20:34 UTC
I just modified the spec (same link as above) to build on i386, https://copr.fedoraproject.org/coprs/jujens/python-autobahn/build/106552/

Comment 10 Zbigniew Jędrzejewski-Szmek 2015-08-04 20:08:49 UTC
Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in /var/tmp/1244517-python-
  wsaccel/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL
Please make sure that you are using the upstream tarball.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
OK.

[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 1 files have unknown license. Detailed
     output of licensecheck in /var/tmp/1244517-python-
     wsaccel/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-wsaccel , python3-wsaccel
Not needed.

[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-wsaccel-0.6.2-6.fc24.i686.rpm
          python3-wsaccel-0.6.2-6.fc24.i686.rpm
          python-wsaccel-0.6.2-6.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (debuginfo)
-------------------
Checking: python-wsaccel-debuginfo-0.6.2-6.fc24.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Requires
--------
python2-wsaccel (rpmlib, GLIBC filtered):
    libc.so.6
    libpthread.so.0
    libpython2.7.so.1.0
    python(abi)
    rtld(GNU_HASH)

python3-wsaccel (rpmlib, GLIBC filtered):
    libc.so.6
    libpthread.so.0
    libpython3.4m.so.1.0
    python(abi)
    rtld(GNU_HASH)

Provides
--------
python2-wsaccel:
    python-wsaccel
    python2-wsaccel
    python2-wsaccel(x86-32)

python3-wsaccel:
    python3-wsaccel
    python3-wsaccel(x86-32)

Package is APPROVED.

Suggestions:

Use %global _docdir_fmt %{name}
to share the doc and license directories between the subpackages. They have identical contents after all.

python3_test_path=$(ls build | grep 'lib' | grep %{python3_version})
PYTHONPATH="build/${python3_test_path}" py.test-%{python3_version} tests
can be written as
PYTHONPATH="$(echo build/lib*%{python3_version})" py.test-%{python3_version} tests

Comment 11 Julien Enselme 2015-08-05 07:08:54 UTC
> can be written as
> PYTHONPATH="$(echo build/lib*%{python3_version})" py.test-%{python3_version} tests

That's a little better. I will update the SPEC before importing.

Thanks for the review.

New Package SCM Request
=======================
Package Name: python-wsaccel
Short Description: Accelerator for ws4py and AutobahnPython
Upstream URL: https://pypi.python.org/pypi/wsaccel
Owners: jujens
Branches: f22 f23

Comment 12 Gwyn Ciesla 2015-08-05 11:47:10 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2015-08-05 18:28:32 UTC
python-wsaccel-0.6.2-6.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-wsaccel-0.6.2-6.fc22

Comment 14 Fedora Update System 2015-08-05 18:41:44 UTC
python-wsaccel-0.6.2-6.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/python-wsaccel-0.6.2-6.fc23

Comment 15 Fedora Update System 2015-08-06 15:59:35 UTC
python-wsaccel-0.6.2-6.fc23 has been pushed to the Fedora 23 testing repository.

Comment 16 Fedora Update System 2015-08-10 10:03:23 UTC
python-wsaccel-0.6.2-6.fc23 has been pushed to the Fedora 23 stable repository.

Comment 17 Fedora Update System 2015-08-18 05:27:12 UTC
python-wsaccel-0.6.2-6.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.